<?php
/**
 * @version 1.5 stable $Id: item.php 001 2010-04-17 13:44:02Z rene.bz $
 * Based on the original by Emmanuel Danan
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2010 Rene Bz - www.nettdotkomm.de
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
// first define the template name
$tmpl = $this->tmpl;
?>
<!-- BOF flexicontent items -->
<div id="flexicontent" class="flexicontent item<?php echo $this->item->id; ?> type<?php echo $this->item->type_id; ?>">

<!-- BOF buttons -->
    <?php if ($this->params->get('tpl_icons_enabled_AtY_default_item') == 0) : ?>
	<p class="buttons">
		<span><?php echo flexicontent_html::pdfbutton( $this->item, $this->params ); ?></span>
		<span><?php echo flexicontent_html::printbutton( $this->print_link, $this->params ); ?></span>
		<span><?php echo flexicontent_html::mailbutton( 'category', $this->params, $this->category->slug ); ?></span>
	</p>
    <?php endif; ?>
    
    <?php if ($this->params->get('tpl_icons_enabled_AtY_default_item') == 1) : ?>
	<p class="button_heading">
		<span class="icon pdf"><?php echo flexicontent_html::pdfbutton( $this->item, $this->params ); ?></span>
		<span class="icon print"><?php echo flexicontent_html::printbutton( $this->print_link, $this->params ); ?></span>
		<span class="icon email"><?php echo flexicontent_html::mailbutton( 'category', $this->params, $this->category->slug ); ?></span>
	</p>
    <?php endif; ?>
<!-- EOF buttons -->

<!-- BOF page title -->
	<?php if (($this->params->get( 'show_page_title', 1 ) && $this->params->get('page_title') != $this->item->title) || ($this->params->get('show_page_title_AtY_default_item', 1 ) && $this->params->get('page_title') != $this->item->title)) : ?>
		<?php if (($this->params->get( 'show_page_title', 1 ) && $this->params->get('page_title') != $this->item->title) && ($this->params->get('show_page_title_AtY_default_item') == "" )) : ?>
        <h1 class="componentheading">
            <?php echo $this->params->get('page_title'); ?>
        </h1>
        <?php endif; ?>
		<?php if (($this->params->get('show_page_title_AtY_default_item') == 1 ) && ($this->params->get('page_title') != $this->item->title)) : ?>
        <h1 class="componentheading">
            <?php echo $this->params->get('page_title'); ?>
        </h1>
        <?php endif; ?>
	<?php endif; ?>
<!-- EOF page title -->

<!-- BOF item title -->
    <?php if ($this->params->get('show_title', 1) && $this->params->get('show_title_AtY_default_item') != 0 ) : ?>
    <h2 class="contentheading flexicontent">
        <?php echo $this->escape($this->item->title); ?>
    </h2>
    <?php endif; ?>
<!-- EOF item title -->

<div class="clear"></div>
    
<!-- BOF subtitle1  -->
    <?php if (isset($this->item->positions['subtitle1_block1']) || isset($this->item->positions['subtitle1_block1_line1']) || isset($this->item->positions['subtitle1_block1_line2']) || isset($this->item->positions['subtitle1_block2'])) : ?>
    <div class="lineinfo subtitle1">
        <?php if (isset($this->item->positions['subtitle1_block1']) || isset($this->item->positions['subtitle1_block1_line1']) || isset($this->item->positions['subtitle1_block1_line2'])) : ?>
<!-- BOF subtitle1_block1 -->
        <div class="subtitle1_block1 block1">
            <?php if (isset($this->item->positions['subtitle1_block1'])) : ?>
            	<?php foreach ($this->item->positions['subtitle1_block1'] as $field) : ?>
                	<div class="element">
                    	<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
                	</div>
                <?php endforeach; ?>
                <div class="clear"></div> 
            <?php endif; ?>
            <?php if (isset($this->item->positions['subtitle1_block1_line1'])) : ?>
                <?php foreach ($this->item->positions['subtitle1_block1_line1'] as $field) : ?>
            		<div class="element">
                    	<div class="subtitle1_block1_line1 block1_line1"><span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span></div>
                    <?php /*?><?php break 1; ?><?php */?> <!--only one field allowed-->
                	</div>
				<?php endforeach; ?>
                <div class="clear"></div>  
            <?php endif; ?>
            <?php if (isset($this->item->positions['subtitle1_block1_line2'])) : ?>
                <?php foreach ($this->item->positions['subtitle1_block1_line2'] as $field) : ?>
            		<div class="element">
                    	<div class="subtitle1_block1_line2 block1_line2"><span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span></div>  
                    <?php /*?><?php break 1; ?><?php */?> <!--only one field allowed-->
                    </div>
                <?php endforeach; ?>
                <div class="clear"></div>  
            <?php endif; ?>      
        </div>
<!-- EOF subtitle1_block1 -->
        <?php endif; ?>
        <?php if (isset($this->item->positions['subtitle1_block2'])) : ?>
<!-- BOF subtitle1_block2 -->
        <div class="subtitle1_block2 block2">
        <?php foreach ($this->item->positions['subtitle1_block2'] as $field) : ?>
            <?php if ($field->label && $this->params->get('st1_b2_icons_field_label_AtY_default_item') == 1) : ?>
                <div class="element icon">
            <?php else :
                echo '<div class="element">';
             endif; ?>
                <?php if ($field->label || $this->params->get('st1_b2_icons_field_label_AtY_default_item') == 1 || $this->params->get('st1_b2_icons_field_label_AtY_default_item') == 0) : ?>
                    <?php if ($field->label && $this->params->get('st1_b2_display_field_label_AtY_default_item') == 1 && $this->params->get('st1_b2_icons_field_label_AtY_default_item') == 0) : ?>
                        <span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?>: </span>
                    <?php endif; ?>
                    <?php if ($field->label && $this->params->get('st1_b2_icons_field_label_AtY_default_item') == 1) : ?>
                        <span class="label icon field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                    <?php endif; ?>
                <?php endif; ?>
                <span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
            </div>
        <?php endforeach; ?>
        </div>
<!-- BOF subtitle1_block2 -->
        <?php endif; ?>
    </div>
    <div class="clear"></div>
    <?php endif; ?>
<!-- EOF subtitle1  -->

<!-- BOF subtitle2  -->
    <?php if (isset($this->item->positions['subtitle2_block1']) || isset($this->item->positions['subtitle2_block1_line1']) || isset($this->item->positions['subtitle2_block1_line2']) || isset($this->item->positions['subtitle2_block2'])) : ?>
    <div class="lineinfo subtitle2">
        <?php if (isset($this->item->positions['subtitle2_block1']) || isset($this->item->positions['subtitle2_block1_line1']) || isset($this->item->positions['subtitle2_block1_line2'])) : ?>
<!-- BOF subtitle2_block1 -->
        <div class="subtitle2_block1 block1">
            <?php if (isset($this->item->positions['subtitle2_block1'])) : ?>
            	<?php foreach ($this->item->positions['subtitle2_block1'] as $field) : ?>
                	<div class="element">
                    	<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
                	</div>
                <?php endforeach; ?>
            <?php endif; ?>
            <?php if (isset($this->item->positions['subtitle2_block1_line1'])) : ?>
                <?php foreach ($this->item->positions['subtitle2_block1_line1'] as $field) : ?>
            		<div class="element">
                    	<div class="subtitle2_block1_line1 block1_line1"><span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span></div>
                    <?php /*?><?php break 1; ?><?php */?> <!--only one field allowed-->
                	</div>
				<?php endforeach; ?>
                <div class="clear"></div>  
            <?php endif; ?>
            <?php if (isset($this->item->positions['subtitle2_block1_line2'])) : ?>
                <?php foreach ($this->item->positions['subtitle2_block1_line2'] as $field) : ?>
            		<div class="element">
                    	<div class="subtitle2_block1_line2 block1_line2"><span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span></div>  
                    <?php /*?><?php break 1; ?><?php */?> <!--only one field allowed-->
                    </div>
                <?php endforeach; ?>
                <div class="clear"></div>  
            <?php endif; ?>   
            <div class="clear"></div>      
        </div>
<!-- EOF subtitle2_block1 -->
        <?php endif; ?>
        <?php if (isset($this->item->positions['subtitle2_block2'])) : ?>
<!-- BOF subtitle2_block2 -->
        <div class="subtitle2_block2 block2">
        <?php foreach ($this->item->positions['subtitle2_block2'] as $field) : ?>
            <?php if ($field->label && $this->params->get('st2_b2_icons_field_label_AtY_default_item') == 1) : ?>
                <div class="element icon">
            <?php else :
                echo '<div class="element">';
             endif; ?>
                <?php if ($field->label || $this->params->get('st2_b2_icons_field_label_AtY_default_item') == 1 || $this->params->get('st2_b2_icons_field_label_AtY_default_item') == 0) : ?>
                    <?php if ($field->label && $this->params->get('st2_b2_display_field_label_AtY_default_item') == 1 && $this->params->get('st2_b2_icons_field_label_AtY_default_item') == 0) : ?>
                        <span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?>: </span>
                    <?php endif; ?>
                    <?php if ($field->label && $this->params->get('st2_b2_icons_field_label_AtY_default_item') == 1) : ?>
                        <span class="label icon field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                    <?php endif; ?>
                <?php endif; ?>
                <span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
            </div>
        <?php endforeach; ?>
        </div>
<!-- BOF subtitle2_block2 -->
        <?php endif; ?>
    </div>
    <div class="clear"></div>
    <?php endif; ?>
<!-- EOF subtitle2  -->

<!-- BOF subtitle3  -->
    <?php if (isset($this->item->positions['subtitle3_block1']) || isset($this->item->positions['subtitle3_block1_line1']) || isset($this->item->positions['subtitle3_block1_line2']) || isset($this->item->positions['subtitle3_block2'])) : ?>
    <div class="lineinfo subtitle3">
        <?php if (isset($this->item->positions['subtitle3_block1']) || isset($this->item->positions['subtitle3_block1_line1']) || isset($this->item->positions['subtitle3_block1_line2'])) : ?>
<!-- BOF subtitle3_block1 -->
        <div class="subtitle3_block1 block1">
            <?php if (isset($this->item->positions['subtitle3_block1'])) : ?>
            	<?php foreach ($this->item->positions['subtitle3_block1'] as $field) : ?>
                	<div class="element">
                    	<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
                	</div>
                <?php endforeach; ?>
            <?php endif; ?>
            <?php if (isset($this->item->positions['subtitle3_block1_line1'])) : ?>
                <?php foreach ($this->item->positions['subtitle3_block1_line1'] as $field) : ?>
            		<div class="element">
                    	<div class="subtitle3_block1_line1 block1_line1"><span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span></div>
                    <?php /*?><?php break 1; ?><?php */?> <!--only one field allowed-->
                	</div>
				<?php endforeach; ?>
                <div class="clear"></div>  
            <?php endif; ?>
            <?php if (isset($this->item->positions['subtitle3_block1_line2'])) : ?>
                <?php foreach ($this->item->positions['subtitle3_block1_line2'] as $field) : ?>
            		<div class="element">
                    	<div class="subtitle3_block1_line2 block1_line2"><span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span></div>  
                    <?php /*?><?php break 1; ?><?php */?> <!--only one field allowed-->
                    </div>
                <?php endforeach; ?>
                <div class="clear"></div>  
            <?php endif; ?>   
            <div class="clear"></div>      
        </div>
<!-- EOF subtitle3_block1 -->
        <?php endif; ?>
        <?php if (isset($this->item->positions['subtitle3_block2'])) : ?>
<!-- BOF subtitle3_block2 -->
        <div class="subtitle3_block2 block2">
        <?php foreach ($this->item->positions['subtitle3_block2'] as $field) : ?>
            <?php if ($field->label && $this->params->get('st3_b2_icons_field_label_AtY_default_item') == 1) : ?>
                <div class="element icon">
            <?php else :
                echo '<div class="element">';
             endif; ?>
                <?php if ($field->label || $this->params->get('st3_b2_icons_field_label_AtY_default_item') == 1 || $this->params->get('st3_b2_icons_field_label_AtY_default_item') == 0) : ?>
                    <?php if ($field->label && $this->params->get('st3_b2_display_field_label_AtY_default_item') == 1 && $this->params->get('st3_b2_icons_field_label_AtY_default_item') == 0) : ?>
                        <span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?>: </span>
                    <?php endif; ?>
                    <?php if ($field->label && $this->params->get('st3_b2_icons_field_label_AtY_default_item') == 1) : ?>
                        <span class="label icon field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                    <?php endif; ?>
                <?php endif; ?>
                <span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
            </div>
        <?php endforeach; ?>
        </div>
<!-- BOF subtitle3_block2 -->
        <?php endif; ?>
    </div>
    <div class="clear"></div>
    <?php endif; ?>
<!-- EOF subtitle3  -->

	<?php if ((isset($this->item->positions['image'])) || (isset($this->item->positions['top']))) : ?>
    <div class="topblock">
<!-- BOF image block -->
        <?php if (isset($this->item->positions['image'])) : ?>
            <?php foreach ($this->item->positions['image'] as $field) : ?>
        <div class="image field_<?php echo $field->name; ?>">
            <?php echo $field->display; ?>
            <div class="clear"></div>
        </div>
            <?php endforeach; ?>
        <?php endif; ?>
<!-- EOF image block -->

	<?php if (isset($this->item->positions['top'])) : ?>
<!-- BOF top block -->
        <div class="infoblock <?php echo $this->params->get('top_cols', 'two'); ?>cols">
            <ul>
                <?php foreach ($this->item->positions['top'] as $field) : ?>
                <li>
                	<?php if ($this->params->get('top_icons_field_label_AtY_default_item') == 1) : ?>
                    	<div class="element icon">
                    <?php else :
						echo '<div class="element">';
             		endif; ?>
                        <?php if ($field->label && $this->params->get('top_icons_field_label_AtY_default_item') == 1) : ?>
                       		<div class="label icon field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
                        <?php elseif
						 	($field->label && $this->params->get('top_display_field_label_AtY_default_item') == 1 ) :
                			echo '<div class="label field_<?php echo $field->name; ?>">'.$field->label.'</div>';
             			endif; ?>
                        <div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                    </div>
                </li>
                <?php endforeach; ?>
            </ul>
        </div>
        <?php endif; ?>
    </div>
<!-- EOF top block -->
    <div class="clear"></div>
    <?php endif; ?>

	<?php if (isset($this->item->positions['description'])) : ?>
<!-- BOF description -->
        <div class="description">
            <?php foreach ($this->item->positions['description'] as $field) : ?>
                <?php if ($field->label) : ?>
            <div class="desc-title"><?php echo $field->label; ?></div>
                <?php endif; ?>
            <div class="desc-content"><?php echo $field->display; ?></div>
            <?php endforeach; ?>
        </div>
<!-- EOF description -->
    <div class="clear"></div>
    <?php endif; ?>

	<?php if (isset($this->item->positions['bottom'])) : ?>
<!-- BOF bottom block -->
        <div class="infoblock <?php echo $this->params->get('bottom_cols', 'two'); ?>cols">
            <ul>
                <?php foreach ($this->item->positions['bottom'] as $field) : ?>
                <li>
                	<?php if ($this->params->get('bottom_icons_field_label_AtY_default_item') == 1) : ?>
                    	<div class="element icon">
                    <?php else :
						echo '<div class="element">';
             		endif; ?>
                        <?php if ($field->label && $this->params->get('bottom_icons_field_label_AtY_default_item') == 1) : ?>
                       		<div class="label icon field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
                        <?php elseif
						 	($field->label && $this->params->get('bottom_display_field_label_AtY_default_item') == 1 ) :
                			echo '<div class="label field_<?php echo $field->name; ?>">'.$field->label.'</div>';
             			endif; ?>
                        <div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                    </div>
                </li>
                <?php endforeach; ?>
            </ul>
        </div>
<!-- EOF bottom block -->
    <div class="clear"></div>
    <?php endif; ?>

	<?php if ($this->params->get('comments')) : ?>
<!-- BOF comments -->
        <div class="comments">
            <?php
            if ($this->params->get('comments') == 1) :
                if (file_exists(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php')) :
                    require_once(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php');
                    echo JComments::showComments($this->item->id, 'com_flexicontent', $this->escape($this->item->title));
                endif;
            endif;
        
            if ($this->params->get('comments') == 2) :
                if (file_exists(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php')) :
                    require_once(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php');
                    echo jomcomment($this->item->id, 'com_flexicontent');
                endif;
            endif;
            ?>
        </div>
<!-- EOF comments -->
    <div class="clear"></div>
    <?php endif; ?>

</div>
<!-- EOF flexicontent items -->